#ifdef PLATFORM_MOBILE
precision mediump float;
#endif

uniform sampler2D texture;

// radiusSq is in world coords
uniform float radiusSq;

varying vec2 fragDir;
varying vec2 texCoord;


void main() {
	vec3 color = texture2D(texture, texCoord).rgb;
	
	float inside = step(dot(fragDir, fragDir), radiusSq);
	
	gl_FragColor = vec4(color, inside);
}
