uniform mat4 modelViewProjectionMatrix;

attribute vec2 vertex;
attribute vec2 textureCoord;
attribute float value;

varying vec2 texCoord;
varying float fragValue; // 0 for bottom, 1 for top


void main() {
	gl_Position = modelViewProjectionMatrix * vec4(vertex, 0.0, 1.0);
	texCoord = textureCoord;
	fragValue = value;
}
